<?php

namespace Notifications;

use DB;
use Illuminate\Database\Seeder;

class NotificationTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('notifications')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'notification.notifications.view',
                'name'      => 'View Notifications',
            ],
            [
                'slug'      => 'notification.notifications.create',
                'name'      => 'Create Notifications',
            ],
            [
                'slug'      => 'notification.notifications.edit',
                'name'      => 'Update Notifications',
            ],
            [
                'slug'      => 'notification.notifications.delete',
                'name'      => 'Delete Notifications',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'notification.notifications.verify',
                'name'      => 'Verify Notifications',
            ],
            [
                'slug'      => 'notification.notifications.approve',
                'name'      => 'Approve Notifications',
            ],
            [
                'slug'      => 'notification.notifications.publish',
                'name'      => 'Publish Notifications',
            ],
            [
                'slug'      => 'notification.notifications.unpublish',
                'name'      => 'Unpublish Notifications',
            ],
            [
                'slug'      => 'notification.notifications.cancel',
                'name'      => 'Cancel Notifications',
            ],
            [
                'slug'      => 'notification.notifications.archive',
                'name'      => 'Archive Notifications',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/notification/notifications',
                'name'        => 'Notifications',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/notification/notifications',
                'name'        => 'Notifications',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'notifications',
                'name'        => 'Notifications',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Notification',
                'module'    => 'Notifications',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'notification.notifications.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
